Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009624Dwarf FortressDwarf Mode -- Transport/Haulingpublic2016-03-13 17:422018-05-11 19:55
ReporterCatsup 
Assigned ToToady One 
PrioritylowSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOS7OS Version
Product Version0.42.06 
Target VersionFixed in Version0.44.11 
Summary0009624: Some hauling routes cause a crash
DescriptionNoticed it crashes sometimes after i pause for a while and set down plans for routes, buildings, digging, etc...

i tried saving before unpausing and managed to get a save where it crashes immediately when you unpause.

The crash no longer occurred when i removed all my hauling routes, i didn't find which one it was.
Steps To ReproduceOccasionally occurs with hauling routes. I was using it for QSP if that matters.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0010158resolvedLoci Consistent crashes on game load and unpause 

-  Notes
(0034875)
Catsup (reporter)
2016-03-19 16:55

the save:
http://www19.zippyshare.com/v/BFHyJ5wW/file.html [^]
(0034885)
Loci (manager)
2016-03-20 11:37

There used to be problems with missing minecarts (0006242, 0008278). Does any of your hauling routes have an assigned minecart that no longer exists?
(0034889)
Catsup (reporter)
2016-03-20 16:48
edited on: 2016-03-20 16:50

i don't think so because a minecart that no longer exists couldn't be assigned at all. The crashing routes (if i remember correctly, or was it stops?) did not have any minecarts assigned at all. The save file here crashes instantly but i think it goes through if you remove the last two hauling routes (that have no stops assigned).

EDIT: i looked at the two other issues; this one crashes instantly upon unpausing but works without any further error if you remove the routes in-game.

(0036076)
Loci (manager)
2016-12-06 16:08

v0.43.03: sophie posted a save in 0008934:

http://dffd.bay12games.com/file.php?id=12590 [^]

Removing the last route (with no stops) prevents the crash.
(0036307)
Loci (manager)
2017-03-09 05:23

v0.43.05: ishmog posted a save & crash dump in 0010158:

http://dffd.bay12games.com/file.php?id=12755 [^]

Assigning a minecart to the route prevents the crash.

- Issue History
Date Modified Username Field Change
2016-03-13 17:42 Catsup New Issue
2016-03-13 17:43 Catsup Issue Monitored: Catsup
2016-03-13 17:43 Catsup Issue End Monitor: Catsup
2016-03-19 16:55 Catsup Note Added: 0034875
2016-03-20 11:37 Loci Note Added: 0034885
2016-03-20 16:48 Catsup Note Added: 0034889
2016-03-20 16:49 Catsup Note Edited: 0034889 View Revisions
2016-03-20 16:50 Catsup Note Edited: 0034889 View Revisions
2016-12-06 16:08 Loci Note Added: 0036076
2016-12-06 16:08 Loci Assigned To => Loci
2016-12-06 16:08 Loci Status new => acknowledged
2017-03-09 05:23 Loci Relationship added has duplicate 0010158
2017-03-09 05:23 Loci Note Added: 0036307
2017-03-09 05:23 Loci Status acknowledged => confirmed
2017-03-18 12:27 ishmog Issue Monitored: ishmog
2017-06-08 19:12 Huntthetroll Issue Monitored: Huntthetroll
2018-05-11 19:55 Toady One Status confirmed => resolved
2018-05-11 19:55 Toady One Fixed in Version => Next Version
2018-05-11 19:55 Toady One Resolution open => fixed
2018-05-11 19:55 Toady One Assigned To Loci => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker